Get a case with resources using advanced query

post

/api/boss/data/objects/ora/cxServiceCore/case/v1:1072/$en/cases/$views/resources/$query

Case resources are individuals assigned to or associated with the case who participate in managing, reviewing, investigating, or resolving the case.

Request

Query Parameters
  • Effective date value in the ISO 8601 date format 'YYYY-MM-DD'. This date is required by business logic to search for effective-dated business objects.
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Match All
Show Source
Nested Schema : schema
Match All
Show Source
Nested Schema : schema
Type: object
Show Source
  • accessors
    Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
  • fields
    Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
  • subTypes
    Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : type
Type: object
Show Source
Nested Schema : type
Type: object
Show Source
Nested Schema : accessors
Type: object
Maps accessor names to query objects specific to corresponding accessors. Query object for each accessor supports query capabilities similar to the base.
Nested Schema : fields
Type: array
Restricts the resource fields. Only the specified fields and mandatory system fields are returned.
Show Source
Nested Schema : subTypes
Type: object
Maps discriminator values (as defined in subtypes) to query objects specific to corresponding subtypes. Subtype-specific query objects support a subset(fields,accessors,filter) of the query capabilities when compared to the base.
Nested Schema : collection
Type: object
Defines query criteria that can be applied on a resource collection.
Show Source
  • The resource collection will be queried using the specified filter condition.
  • Specifies whether the server should estimate the total number of records for a given query and include the count in the response.
  • Restricts the number of resource items returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resource items.
  • Defines the starting position of the resource collection. If offset exceeds the resource count then no resource items are returned.
  • Represents the privilege or action required to check for while serving a request to access a resource.
  • sortBy
    Orders a resource collection based on the specified fields.
Nested Schema : sortBy
Type: array
Orders a resource collection based on the specified fields.
Show Source
Nested Schema : items
Match One Schema
Show Source
  • Name of field based on which sorting will happen. Order is ascending.
  • type
    Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : type
Type: object
Object with single entry. Key must be name of field based on which sorting will happen. Value must be either asc or desc to decide the sort order.
Nested Schema : parameters
Type: object
Values to be applied in a parameterized filter specific to the view.
Back to Top

Response

Default Response

Successful response of retrieving view resources for resource Cases
Body ()
Root Schema : cases_view-resources
Match All
Case resources are individuals assigned to or associated with the case who participate in managing, reviewing, investigating, or resolving the case.
Show Source
Nested Schema : __collection_context
Type: object
Show Source
Nested Schema : cases_view-resources-allOf[1]
Type: object
Case resources are individuals assigned to or associated with the case who participate in managing, reviewing, investigating, or resolving the case.
Show Source
Nested Schema : totalItems
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : __busObj_context
Type: object
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : $context
Type: object
Show Source
Nested Schema : resources
Match All
Show Source
Nested Schema : statusTypeCd
Match All
The code indicates the status type of the case.
Show Source
  • Title: Status Type
    Read Only: true
    The code indicates the status type of the case.
  • Allowed Values: [ "ORA_SVC_ACTIVE", "ORA_SVC_CLOSED", "ORA_SVC_INACTIVE", "ORA_SVC_RESOLVED", "ORA_SVC_SUSPENDED" ]
Nested Schema : stripeCd
Match All
The code indicating the stripe of the case.
Show Source
  • Title: Stripe Code
    Read Only: true
    The code indicating the stripe of the case.
  • Allowed Values: [ "ORA_SVC_CRM", "ORA_SVC_HRHD", "ORA_SVC_ISR" ]
Nested Schema : resources-allOf[1]
Type: object
Show Source
Nested Schema : items
Type: array
Show Source
Nested Schema : items
Match All
Show Source
Nested Schema : items-allOf[1]
Type: object
Show Source
Nested Schema : party
Match All
Show Source
Nested Schema : party-allOf[1]
Type: object
Show Source
Back to Top